export type IconVariants = "ADD" | "BACK" | "PROFILE" | "ROOM" | "EMPTY";

export const iconVariants = {
    ADD: "ADD" as IconVariants,
    BACK: "BACK" as IconVariants,
    PROFILE: "PROFILE" as IconVariants,
    ROOM: "ROOM" as IconVariants,
    EMPTY: "EMPTY" as IconVariants,
};

export type IconSizes = "SMALL" | "MIDDLE" | "LARGE";

export const iconSizes = {
    SMALL: "SMALL" as IconSizes,
    MIDDLE: "MIDDLE" as IconSizes,
    LARGE: "LARGE" as IconSizes,
};

export interface IconDescriptionInterface {
    name: IconVariants;
    size: IconSizes;
    hover: boolean;
}