import {DocumentStorageInterface} from "../common/storage.interface";
import {RoomListItemInterface} from "./room.interface";

//////////////////////////////////////////////////////
// Карточка
//

// Документ профиля учителя в БД
//
export interface TeacherStorageInterface extends DocumentStorageInterface {
    rooms: TeacherRooms;
}

// Список комнат учителя
//
export interface TeacherRooms {
    [uuid: string]: RoomListItemInterface;
}
