import {IconDescriptionInterface} from "../common/icon.interface";

export interface ToolbarInterface {
    elements: ToolbarElementInterface[];
}

export interface ToolbarElementInterface {
    name: string; // Имя элемента (возвращается в обработчике интерактивного элемента)
    icon: IconDescriptionInterface; // Иконка элемента
    title: string; // Текст элемента
    maximize: boolean; // Растягивается на всю возможную ширину
    interactive: boolean; // Интерактивный элемент (можно нажать и сработает обработчик)
}
