import {DocumentStorageInterface} from "../common/storage.interface";

//////////////////////////////////////////////////////
// Карточка
//

// Документ работы в БД (все данные и статистика по заданной группе работе)
//
export interface WorkStorageInterface extends DocumentStorageInterface {
    task: string;
    room: string;
    group: string;
}

//////////////////////////////////////////////////////
// Представление в списках
//

// Элемент списка работ в описании комнаты
//
export interface WorkListItemInterface {
    task: string;
    group: string;
}